package com.zksy.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zksy.base.domain.EquipmentBase;
import com.zksy.base.domain.vo.EquipmentFullVO;

public interface GasEquipmentService {

    boolean saveWithCheck(EquipmentBase entity);

    boolean updateWithCheck(EquipmentBase entity);

    boolean removeWithCheck(String equipmentId);

    Page<EquipmentFullVO> findFullByPage(long pageNum, long pageSize,
                                         String equipmentCode, String equipmentName,
                                         String equipmentModel, String manufacturer,
                                         String district);
}
